<section class="header-container">
    <section class="acount-container">
        <section class="header-left">
            <span class="dp-circle rounded-circle" [ngSwitch]="pageName">
                <img *ngSwitchCase="'HR'" class="img-fluid" [src]="hrImage" alt="logo">
                <img *ngSwitchCase="'Finance'" class="img-fluid" [src]="financeImage" alt="logo">
                <img *ngSwitchDefault class="img-fluid" [src]="defaultImage" alt="logo">
            </span>
            <span class="cust-name">{{pageName}}</span>
            <span *ngIf="pageTitle"><i class="right"></i></span>
            <span *ngIf="pageTitle" class="admin-name">{{pageTitle}}</span>
        </section>
        <section class="header-right">
            <div *ngIf="isSuperAdmin" class="dp-left">
                <img class="img-fluid" *ngIf="companyPic !== undefined" [src]="hostname+companyPic" alt="company logo"/>
            </div>
            <div class="dp-right">
                <span class="notification-icon"><i class="fa fa-bell" aria-hidden="true"></i></span>
                <span class="cust-name">{{uName}}</span>
            <span class="account-settings">
                <i class="down"></i>
                <div class="account-logout">
                    <span><a routerLink="myprofile">Account</a></span>
                    <span *ngIf="isSuperAdmin"><a href="javascript:;" (click)="navigateToFCM()">Back to Admin page</a></span>
                    <span><a (click)="onLogout($event)">Logout</a></span>
                </div>
            </span>
            <span class="hr-dp">
                <img *ngIf="profilePic !== undefined;else defaultDp" [src]="hostname+profilePic" alt="logo">
                <ng-template #defaultDp>
                    <img  src="../../../../../assets/images/a.jpeg" alt="logo">
                </ng-template>
            </span>
            </div>
        </section>
    </section>
</section>